#
# spec file for package python-PyTrie
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define skip_python2 1
Name:           python-PyTrie
Version:        0.4.0
Release:        1.18
Summary:        A pure Python implementation of the trie data structure
License:        BSD-3-Clause
URL:            https://github.com/gsakkis/pytrie/
Source:         https://files.pythonhosted.org/packages/source/P/PyTrie/PyTrie-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module sortedcontainers}
BuildRequires:  %{python_module testsuite}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-sortedcontainers
Provides:       python-pytrie
Obsoletes:      python-pytrie
BuildArch:      noarch
%python_subpackages

%description
pytrie is a pure Python 3 implementation of the trie data structure.

A trie is an ordered tree data structure that is used to store a mapping
where the keys are sequences, usually strings over an alphabet. In addition to
implementing the mapping interface, tries allow finding the items for a given
prefix, and vice versa, finding the items whose keys are prefixes of a given key.

%prep
%setup -q -n PyTrie-%{version}
%autopatch -p1

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python -m unittest discover

%files %{python_files}
%license LICENSE
%doc README.md
%{python_sitelib}/*

%changelog
* Wed Nov 11 2020 Steve Kowalik <steven.kowalik@suse.com>
- Update to 0.4.0:
  * Drop Python 2.7 support
- LICENSE now included in the tarball, drop the separate Source.
- Drop fix-sorting-py2.patch, Python 2 not supported
- Drop no-import-from-collections.patch, included upstream
- No longer BuildRequire python-devel, and switch to the macro for
  testsuite
* Tue Dec  3 2019 Matej Cepl <mcepl@suse.com>
- Add patch no-import-from-collections.patch to avoid any import
  directly from collections.
* Fri Mar 29 2019 Jan Engelhardt <jengelh@inai.de>
- Drop duplicated word.
* Thu Mar 28 2019 Tomáš Chvátal <tchvatal@suse.com>
- Sync with python-pytrie to obsolete it, wrong camelcase name there
- Add patch fix-sorting-py2.patch
* Mon Mar 25 2019 Matej Cepl <mcepl@suse.com>
- Update to version 0.3.1:
  - Fixed iteritems/itervalues for SortedDicts in Python 2.7.
* Wed Oct 18 2017 toddrme2178@gmail.com
- Implement single-spec version
- Update to version 0.3
  * No changelog
* Tue Nov 24 2015 Adam Mizerski <adam@mizerski.pl>
- new package (version 0.2)
